diff --git a/src/tools/msvc/vcregress.pl b/src/tools/msvc/vcregress.pl
index 3a88638..d44edf7 100644
--- a/src/tools/msvc/vcregress.pl
+++ b/src/tools/msvc/vcregress.pl
@@ -84,7 +84,8 @@ my %command = (
 	BINCHECK       => \&bincheck,
 	RECOVERYCHECK  => \&recoverycheck,
 	UPGRADECHECK   => \&upgradecheck,
-	TAPTEST        => \&taptest,);
+	TAPTEST        => \&taptest,
+);
 
 my $proc = $command{$what};
 
@@ -106,7 +107,8 @@ sub installcheck
 		"--schedule=${schedule}_schedule",
 		"--max-concurrent-tests=20",
 		"--encoding=SQL_ASCII",
-		"--no-locale");
+		"--no-locale"
+	);
 	push(@args, $maxconn) if $maxconn;
 	system(@args);
 	my $status = $? >> 8;
@@ -126,7 +128,8 @@ sub check
 		"--max-concurrent-tests=20",
 		"--encoding=SQL_ASCII",
 		"--no-locale",
-		"--temp-instance=./tmp_check");
+		"--temp-instance=./tmp_check"
+	);
 	push(@args, $maxconn)     if $maxconn;
 	push(@args, $temp_config) if $temp_config;
 	system(@args);
@@ -152,7 +155,8 @@ sub ecpgcheck
 		"--schedule=${schedule}_schedule",
 		"--encoding=SQL_ASCII",
 		"--no-locale",
-		"--temp-instance=./tmp_chk");
+		"--temp-instance=./tmp_chk"
+	);
 	push(@args, $maxconn) if $maxconn;
 	system(@args);
 	$status = $? >> 8;
@@ -168,7 +172,8 @@ sub isolationcheck
 		"../../../$Config/pg_isolation_regress/pg_isolation_regress",
 		"--bindir=../../../$Config/psql",
 		"--inputdir=.",
-		"--schedule=./isolation_schedule");
+		"--schedule=./isolation_schedule"
+	);
 	push(@args, $maxconn) if $maxconn;
 	system(@args);
 	my $status = $? >> 8;
@@ -257,14 +262,16 @@ sub mangle_plpython3
 	foreach my $test (@$tests)
 	{
 		local $/ = undef;
-		foreach my $dir ('sql','expected')
+		foreach my $dir ('sql', 'expected')
 		{
 			my $extension = ($dir eq 'sql' ? 'sql' : 'out');
 
-			my @files = glob("$dir/$test.$extension $dir/${test}_[0-9].$extension");
+			my @files =
+			  glob("$dir/$test.$extension $dir/${test}_[0-9].$extension");
 			foreach my $file (@files)
 			{
-				open(my $handle, '<', $file) || die "test file $file not found";
+				open(my $handle, '<', $file)
+				  || die "test file $file not found";
 				my $contents = <$handle>;
 				close($handle);
 				do
@@ -279,16 +286,18 @@ sub mangle_plpython3
 					s/LANGUAGE plpython2?u/LANGUAGE plpython3u/g;
 					s/EXTENSION ([^ ]*_)*plpython2?u/EXTENSION $1plpython3u/g;
 					s/installing required extension "plpython2u"/installing required extension "plpython3u"/g;
-				} for ($contents);
+				  }
+				  for ($contents);
 				my $base = basename $file;
-				open($handle, '>', "$dir/python3/$base") ||
-				  die "opening python 3 file for $file";
+				open($handle, '>', "$dir/python3/$base")
+				  || die "opening python 3 file for $file";
 				print $handle $contents;
 				close($handle);
 			}
 		}
 	}
-	do { s!^!python3/!; } foreach(@$tests);
+	do { s!^!python3/!; }
+	  foreach (@$tests);
 	return @$tests;
 }
 
@@ -314,8 +323,9 @@ sub plcheck
 		}
 		if ($lang eq 'plpython')
 		{
-			next unless -d "$topdir/$Config/plpython2" ||
-				-d "$topdir/$Config/plpython3";
+			next
+			  unless -d "$topdir/$Config/plpython2"
+			  || -d "$topdir/$Config/plpython3";
 			$lang = 'plpythonu';
 		}
 		else
@@ -326,7 +336,7 @@ sub plcheck
 		chdir $dir;
 		my @tests = fetchTests();
 		@tests = mangle_plpython3(\@tests)
-			if $lang eq 'plpythonu' && -d "$topdir/$Config/plpython3";
+		  if $lang eq 'plpythonu' && -d "$topdir/$Config/plpython3";
 		if ($lang eq 'plperl')
 		{
 
@@ -352,7 +362,8 @@ sub plcheck
 		my @args = (
 			"$topdir/$Config/pg_regress/pg_regress",
 			"--bindir=$topdir/$Config/psql",
-			"--dbname=pl_regression", @lang_args, @tests);
+			"--dbname=pl_regression", @lang_args, @tests
+		);
 		system(@args);
 		my $status = $? >> 8;
 		exit $status if $status;
@@ -380,7 +391,7 @@ sub subdircheck
 	# Special processing for python transform modules, see their respective
 	# Makefiles for more details regarding Python-version specific
 	# dependencies.
-	if ( $module =~ /_plpython$/ )
+	if ($module =~ /_plpython$/)
 	{
 		die "Python not enabled in configuration"
 		  if !defined($config->{python});
@@ -404,8 +415,9 @@ sub subdircheck
 	my @args = (
 		"$topdir/$Config/pg_regress/pg_regress",
 		"--bindir=${topdir}/${Config}/psql",
-		"--dbname=contrib_regression", @opts, @tests);
-	print join(' ',@args),"\n";
+		"--dbname=contrib_regression", @opts, @tests
+	);
+	print join(' ', @args), "\n";
 	system(@args);
 	chdir "..";
 }
@@ -417,11 +429,11 @@ sub contribcheck
 	foreach my $module (glob("*"))
 	{
 		# these configuration-based exclusions must match Install.pm
-		next if ($module eq "uuid-ossp"     && !defined($config->{uuid}));
-		next if ($module eq "sslinfo"       && !defined($config->{openssl}));
-		next if ($module eq "xml2"          && !defined($config->{xml}));
-		next if ($module =~ /_plperl$/      && !defined($config->{perl}));
-		next if ($module =~ /_plpython$/    && !defined($config->{python}));
+		next if ($module eq "uuid-ossp"  && !defined($config->{uuid}));
+		next if ($module eq "sslinfo"    && !defined($config->{openssl}));
+		next if ($module eq "xml2"       && !defined($config->{xml}));
+		next if ($module =~ /_plperl$/   && !defined($config->{perl}));
+		next if ($module =~ /_plpython$/ && !defined($config->{python}));
 		next if ($module eq "sepgsql");
 
 		subdircheck($module);
@@ -460,7 +472,9 @@ sub standard_initdb
 	return (
 		system('initdb', '-N') == 0 and system(
 			"$topdir/$Config/pg_regress/pg_regress", '--config-auth',
-			$ENV{PGDATA}) == 0);
+			$ENV{PGDATA}
+		) == 0
+	);
 }
 
 # This is similar to appendShellString().  Perl system(@args) bypasses
@@ -553,7 +567,8 @@ sub upgradecheck
 	print "\nRunning pg_upgrade\n\n";
 	@args = (
 		'pg_upgrade', '-d', "$data.old", '-D', $data, '-b',
-		$bindir,      '-B', $bindir);
+		$bindir,      '-B', $bindir
+	);
 	system(@args) == 0 or exit 1;
 	print "\nStarting new cluster\n\n";
 	@args = ('pg_ctl', '-l', "$logdir/postmaster2.log", 'start');
diff --git a/src/tools/pgindent/perltidyrc b/src/tools/pgindent/perltidyrc
index 29baef7..91b76fc 100644
--- a/src/tools/pgindent/perltidyrc
+++ b/src/tools/pgindent/perltidyrc
@@ -11,5 +11,5 @@
 --opening-brace-on-new-line
 --output-line-ending=unix
 --paren-tightness=2
---vertical-tightness=2
---vertical-tightness-closing=2
+# --vertical-tightness=2
+# --vertical-tightness-closing=2
diff --git a/src/tools/pgindent/pgindent b/src/tools/pgindent/pgindent
index ce0f43f..8d4684d 100755
--- a/src/tools/pgindent/pgindent
+++ b/src/tools/pgindent/pgindent
@@ -28,7 +28,8 @@ my %options = (
 	"code-base=s"        => \$code_base,
 	"excludes=s"         => \$excludes,
 	"indent=s"           => \$indent,
-	"build"              => \$build,);
+	"build"              => \$build,
+);
 GetOptions(%options) || die "bad command line argument\n";
 
 run_build($code_base) if ($build);
@@ -389,7 +390,8 @@ sub build_clean
 
 # get the list of files under code base, if it's set
 File::Find::find(
-	{   wanted => sub {
+	{
+		wanted => sub {
 			my ($dev, $ino, $mode, $nlink, $uid, $gid);
 			(($dev, $ino, $mode, $nlink, $uid, $gid) = lstat($_))
 			  && -f _
@@ -397,7 +399,8 @@ File::Find::find(
 			  && push(@files, $File::Find::name);
 		}
 	},
-	$code_base) if $code_base;
+	$code_base
+) if $code_base;
 
 process_exclude();
 
diff --git a/src/tools/version_stamp.pl b/src/tools/version_stamp.pl
index 392fd4a..67effca 100755
--- a/src/tools/version_stamp.pl
+++ b/src/tools/version_stamp.pl
@@ -83,7 +83,8 @@ my $aconfver = "";
 open(my $fh, '<', "configure.in") || die "could not read configure.in: $!\n";
 while (<$fh>)
 {
-	if (m/^m4_if\(m4_defn\(\[m4_PACKAGE_VERSION\]\), \[(.*)\], \[\], \[m4_fatal/
+	if (
+		m/^m4_if\(m4_defn\(\[m4_PACKAGE_VERSION\]\), \[(.*)\], \[\], \[m4_fatal/
 	  )
 	{
 		$aconfver = $1;
diff --git a/src/tools/win32tzlist.pl b/src/tools/win32tzlist.pl
index 4610d43..0fb561b 100755
--- a/src/tools/win32tzlist.pl
+++ b/src/tools/win32tzlist.pl
@@ -47,9 +47,11 @@ foreach my $keyname (@subkeys)
 	die "Incomplete timezone data for $keyname!\n"
 	  unless ($vals{Std} && $vals{Dlt} && $vals{Display});
 	push @system_zones,
-	  { 'std'     => $vals{Std}->[2],
+	  {
+		'std'     => $vals{Std}->[2],
 		'dlt'     => $vals{Dlt}->[2],
-		'display' => clean_displayname($vals{Display}->[2]), };
+		'display' => clean_displayname($vals{Display}->[2]),
+	  };
 }
 
 $basekey->Close();
@@ -75,10 +77,12 @@ while ($pgtz =~
 	m/{\s+"([^"]+)",\s+"([^"]+)",\s+"([^"]+)",?\s+},\s+\/\*(.+?)\*\//gs)
 {
 	push @file_zones,
-	  { 'std'     => $1,
+	  {
+		'std'     => $1,
 		'dlt'     => $2,
 		'match'   => $3,
-		'display' => clean_displayname($4), };
+		'display' => clean_displayname($4),
+	  };
 }
 
 #
